From 6e0d2cd523af8d397db405eaeafc232d2f072da3 Mon Sep 17 00:00:00 2001
From: cnb <cneirabustos@gmail.com>
Date: Tue, 5 Oct 2021 13:22:42 +0000
Subject: [PATCH 1/2] added viocons to Makefile

---
 usr/src/uts/common/Makefile.files | 3 +++
 usr/src/uts/common/Makefile.rules | 4 ++++
 usr/src/uts/intel/Makefile.intel  | 3 +++
 3 files changed, 10 insertions(+)

diff --git a/usr/src/uts/common/Makefile.files b/usr/src/uts/common/Makefile.files
index a463c667e4..5d5157aad4 100644
--- a/usr/src/uts/common/Makefile.files
+++ b/usr/src/uts/common/Makefile.files
@@ -2127,6 +2127,9 @@ VIOBLK_OBJS = vioblk.o
 # Virtio network driver
 VIOIF_OBJS = vioif.o
 
+# Virtio network driver
+VIOCONS_OBJS = viocons.o
+
 #
 #	kiconv modules
 #
diff --git a/usr/src/uts/common/Makefile.rules b/usr/src/uts/common/Makefile.rules
index 52e1ec84d9..c36a44096e 100644
--- a/usr/src/uts/common/Makefile.rules
+++ b/usr/src/uts/common/Makefile.rules
@@ -1516,6 +1516,10 @@ $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/vioif/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
+$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/viocons/%.c
+	$(COMPILE.c) -o $@ $<
+	$(CTFCONVERT_O)
+
 $(OBJS_DIR)/%.o:		$(COMMONBASE)/idspace/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
diff --git a/usr/src/uts/intel/Makefile.intel b/usr/src/uts/intel/Makefile.intel
index b9902f6c97..cc8144ff6f 100644
--- a/usr/src/uts/intel/Makefile.intel
+++ b/usr/src/uts/intel/Makefile.intel
@@ -432,6 +432,9 @@ DRV_KMODS	+= vioblk
 # Virtio network driver
 DRV_KMODS	+= vioif
 
+# Virtio serial driver
+DRV_KMODS	+= viocons
+
 #
 #	DTrace and DTrace Providers
 #
-- 
2.33.1

